local RUF = RUF or LibStub("AceAddon-3.0"):GetAddon("RUF")
RUF.Layout = {}
local cfg = {
	global = {
		TestModeShowUnits = true,
	},
	char = {
		Nickname = "",
	},
	profile = {
		Appearance = {
			Border = {
				Debuff = {
					Enabled = true,
				},
				Style = {
					edgeFile = [[Interface\ChatFrame\ChatFrameBackground]], -- Pixel Border settings. 
					edgeSize = 1,
				},
			},
			Bars = {
				Health = {
					Texture = "RUF 5",
					Animate = true,
					Color = {
						BaseColor = {25/255, 25/255, 25/255},
						--colorHealth -- Set in Core to true automatically		
						Class = false,
						Disconnected = true,					
						Percentage = true,
						PercentageGradient = {
							1,1,1, -- 0% HP: White
							25/255,25/255,25/255, -- 50% HP: Grey
							25/255,25/255,25/255 -- 100% HP: Grey
						},
						Reaction = false,
						Tapped = true,
					},
					Background = {
						UseBarColor = false, -- Use Bar Color or Custom Color
						CustomColor = {0,0,0}, -- Custom Color Value
						Multiplier = 0.25, -- Reduce Bar Background Color brightness by this multiplier
						Alpha = 0.5,
					},
				},
				Absorb = { 
					Type = 1, -- 1 Health Overlay, 2 Bar  If 1 then use Frame.Bars.Absorb.Alpha      If 2 then use Unit.Player.Bars.Absorb.Position and Order and Alpha
					Texture = "RUF 5",
					Animate = true,
					Color = {
						BaseColor = {1, 1, 0},
						Class = true,
						Reaction = true,
						Alpha = 0.25,
						Multiplier = 1,
					},
					Background = {
						UseBarColor = false,
						CustomColor = {0,0,0},
						Multiplier = 0.25,
						Alpha = 0.5,
					},
				},
				Class = {
					Texture = "RUF 5",
					Animate = true,
					Color = {
						BaseColor = {100/255, 100/255, 100/255},
						Class = false,
						PowerType = true, -- Use Resource's Color					
						Multiplier = 10, -- Make the bars increase in brightness by this multiplier
					},
					Background = {
						UseBarColor = true,
						CustomColor = {0,0,0},
						Multiplier = 0.25,
						Alpha = 0.5,
					},
				},
				Power = {
					Texture = "RUF 5",
					Animate = true,
					Color = {					
						BaseColor = {50/255, 50/255, 50/255},
						Class = false,
						Disconnected = false,
						Percentage = false,					
						PercentageGradient = {
							1,1,1,
							25/255,25/255,25/255,
							25/255,25/255,25/255
						},
						Reaction = false,
						Tapped = false,
						PowerType = true,
					},
					Background = {
						UseBarColor = true,
						CustomColor = {0,0,0},
						Multiplier = 0.25,
						Alpha = 0.5,
					},
				},
			},
			Colors = { 
				UseClassColors = true, -- Use ClassColors Addon
				ClassColors = { -- !ClassColors Addon Overrides these values.
					DEATHKNIGHT = {207/255,55/255,77/255},
					DEMONHUNTER = {207/255,1,0},
					DRUID = {1,131/255,50/255},
					HUNTER = {161/255,186/255,73/255},
					MAGE = {55/255,197/255,1},
					MONK = {0,169/255,138/255},
					PALADIN = {1,99/255,183/255},
					PRIEST = {1,236/255,211/255},
					ROGUE = {1,216/255,0},
					SHAMAN = {0,107/255,195/255},
					WARLOCK = {150/255,119/255,229/255},
					WARRIOR = {187/255,127/255,75/255},
				},
				MiscColors = {
					Tapped = {100/255,100/255,100/255},
					Disconnected = {1,1,1},
				},
				DifficultyColors = {
					[0] = {1,0.1,0.1}, -- Impossible
					[1] = {1,0.5,0.25}, -- Hard
					[2] = {1,0.82,0}, -- Normal
					[3] = {0.25,0.75,0.25}, -- Easy
					[4] = {0.5,0.5,0.5}, -- Trivial
				},
				PowerColors = {
					[0] = {0,158/255,1}, -- Mana
					[1] = {1,0,55/255}, -- Rage
					[2] = {1,128/255,64/255}, -- Focus
					[3] = {1,1,0}, -- Energy
					[4] = {1,245/255,105/255}, -- Combo Points
					[5] = {128/255,128/255,128/255}, -- Runes
					[6] = {0,211/255,1}, -- Runic Power
					[7] = {150/255,119/255,229/255}, -- Soul Shards
					[8] = {77/255,133/255,230/255}, -- Astral Power
					[9] = {242/255,230/255,153/255}, -- Holy Power
					[10] = {0,158/255,1}, -- Alternate Power
					[11] = {0,128/255,1}, -- Maelstrom
					[12] = {0,247/255,202/255}, -- Chi
					[13] = {102/255,0,204/255}, -- Insanity
					[14] = {0,158/255,1}, -- Unused
					[15] = {0,158/255,1}, -- Unused
					[16] = {0,178/255,250/255}, -- Arcane Charges
					[17] = {207/255,1,0}, -- Fury
					[18] = {1,155/255,0}, -- Pain
					[50] = {180/255,0,20/255}, -- Blood Runes
					[51] = {60/255,205/255,1}, -- Frost Runes
					[52] = {145/255,190/255,15/255}, -- Unholy Runes
				},
				ReactionColors = {
					[1] = {199/255,64/255,64/255}, -- Hated
					[2] = {204/255,97/255,71/255}, -- Hostile Also Enemy Players and NPCs
					[3] = {208/255,130/255,78/255}, -- Unfriendly
					[4] = {218/255,197/255,92/255}, -- Neutral
					[5] = {105/255,169/255,102/255}, -- Friendly Also Allied Players
					[6] = {75/255,175/255,75/255}, -- Honored
					[7] = {68/255,159/255,105/255}, -- Revered
					[8] = {62/255,144/255,133/255}, -- Exalted
					[9] = {0/255,153/255,26/255}, -- Paragon
					[10] = {48/255,113/255,191/255}, -- Friendly Pet
				},
			},
			Text = { 				
				CurHPPerc = {
					Font = "RUF",
					Outline = "OUTLINE",
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = true, -- Below 100%
						PercentageAtMax = true,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = false,
						Reaction = false,	
					},
				},
				CurHP = {
					Font = "RUF",
					Outline = "OUTLINE",
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = true, -- Below 100%
						PercentageAtMax = true,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = false,
						Reaction = false,	
					},
				},
				HPPerc = {
					Font = "RUF",
					Outline = "OUTLINE",
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = true, -- Below 100%
						PercentageAtMax = true,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = false,
						Reaction = false,	
					},
				},
				CurManaPerc = {
					Enabled = 1,
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = true,
						Reaction = false,					
					},
				},
				CurMana = {
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = true,
						Reaction = false,					
					},
				},
				ManaPerc = {
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = true,
						Reaction = false,					
					},
				},				
				Name = {
					CharLimit = 18,
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = true,
						Level = false,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = false,
						Reaction = true,					
					},
				},				
				CurPowerPerc = {
					Enabled = 1,
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = true,
						Reaction = false,					
					},
				},
				CurPower = {
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = true,
						Reaction = false,					
					},
				},
				PowerPerc = {
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = true, -- Always Mana if tag is Raeli:Mana
						Reaction = false,					
					},
				},
				Level = {
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					HideSameLevel = true,
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = true,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = false,
						Reaction = false,					
					},
				},
				AFKDND = {
					Case = 1, -- 0,1,2 0 == Default, 1 == Uppercase, 2 == Lowercase
					Color = {
						BaseColor = {1,1,1},
						Class = false,
						Level = false,
						Percentage = false, -- Below 100%
						PercentageAtMax = false,
						PercentageGradient = {
							1,0,0,
							1,1,0,
							0,1,0,
						},
						PowerType = false,
						Reaction = false,					
					},
				},
			},
		},
		unit =  {
		},
	},
}

local function LargeLeftUnits()
	local UnitOptions = {
		Enabled = true,
		Frame = {
			RangeFading = {
				Enabled = true,
				Alpha = 0.5,
			},
			Size = {
				Height = 60,
				Width = 300,
			},
			Bars = {
				Health = { -- Doesn't need options. Health Height is Height -2, Position is filling the frame aside from Power bars for the Health BG.
					Fill = "STANDARD",
				},
				Absorb = {
					Enabled = 1,
					Fill = "STANDARD", -- Use Health Fill if Enabled == 1
					Height = 8,
					Position = {
						Anchor = "BOTTOM",
						Order = 1, -- If 2 bars are at bottom, then order determines which comes first (closest to anchor)
					}, 
				},
				Class = { -- Class or Mana on Additional Mana units.
					Enabled = true,
					Fill = "STANDARD", 
					Height = 8,
					Position = {
						Anchor = "TOP",
					},
				},
				Power = { -- Primary Power or Class on Additional Mana units.
					Enabled = 1, -- 0 Hidden, 1 Show above 0, 2 Always Show
					Fill = "STANDARD",
					Height = 8,
					Position = {
						Anchor = "BOTTOM",
						Order = 0,
					},
				},
			},
			Text = {
				Class = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurManaPerc]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 4,
						y = -18,
						AnchorFrame = "Frame",
						Anchor = "LEFT",
					},
				},
				Health = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurHPPerc]",
					Enabled = true, -- Boolean
					Size = 28,
					Width = 150,
					Position = {
						x = -4,
						y = 4,
						AnchorFrame = "Frame",
						Anchor = "RIGHT",
					},
				},
				Level = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Level]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 4,
						y = -18,
						AnchorFrame = "Frame",
						Anchor = "LEFT",
					},
				},
				Power = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurPowerPerc]",
					Enabled = true, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = -4,
						y = -18,
						AnchorFrame = "Frame",
						Anchor = "RIGHT",
					},
				},
				Name = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Name]",
					Enabled = true, -- Boolean
					Size = 21,
					Width = 100,
					Position = {
						x = 4,
						y = 4,
						AnchorFrame = "Frame",
						Anchor = "LEFT",
					},
				},
				AFKDND = {
					Outline = "OUTLINE",
					Font = "RUF",
					Position = {
						y = 0,
						x = 0,
						Anchor = "RIGHT",
						AnchorFrame = "Name",
						
					},
					Width = 100,
					Size = 21,
					Enabled = true,
					Tag = "[RUF:AFKDND]",
				},
			},
			Icons = {
				PvP = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Mark = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Leader = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Looter = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Ready = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Resting = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
			},
		},
	}
	return UnitOptions
end

local function MediumLeftUnits()
	local UnitOptions = {
		Enabled = true,
		Frame = {
			RangeFading = {
				Enabled = true,
				Alpha = 0.5,
			},
			Size = {
				Height = 30,
				Width = 300,
			},
			Bars = {
				Health = { -- Doesn't need options. Health Height is Height -2, Position is filling the frame aside from Power bars for the Health BG.
					Fill = "STANDARD",
				},
				Absorb = {
					Enabled = 1,
					Fill = "STANDARD", -- Use Health Fill if Enabled == 1
					Height = 8,
					Position = {
						Anchor = "BOTTOM",
						Order = 1, -- If 2 bars are at bottom, then order determines which comes first (closest to anchor)
					}, 
				},
				Class = { -- Class or Mana on Additional Mana units.
					Enabled = false,
					Fill = "STANDARD", 
					Height = 4,
					Position = {
						Anchor = "TOP",
					},
				},
				Power = { -- Primary Power or Class on Additional Mana units.
					Enabled = 1, -- 0 Hidden, 1 Show above 0, 2 Always Show
					Fill = "STANDARD",
					Height = 4,
					Position = {
						Anchor = "BOTTOM",
						Order = 0,
					},
				},
			},
			Text = {
				Health = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurHPPerc]",
					Enabled = true, -- Boolean
					Size = 21,
					Width = 150,
					Position = {
						x = -4,
						y = 1,
						AnchorFrame = "Frame",
						Anchor = "RIGHT",
					},
				},
				Level = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Level]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 0,
						y = 0,
						AnchorFrame = "Frame",
						Anchor = "CENTER",
					},
				},
				Power = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurPowerPerc]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 0,
						y = 0,
						AnchorFrame = "Frame",
						Anchor = "CENTER",
					},
				},
				Name = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Name]",
					Enabled = true, -- Boolean
					Size = 21,
					Width = 100,
					Position = {
						x = 4,
						y = 1,
						AnchorFrame = "Frame",
						Anchor = "LEFT",
					},
				},
			},
			Icons = {
				PvP = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Mark = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Leader = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Looter = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Ready = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Resting = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
			},
		},
	}
	return UnitOptions
end

local function LargeRightUnits()
	local UnitOptions = {
		Enabled = true,
		Frame = {
			RangeFading = {
				Enabled = true,
				Alpha = 0.5,
			},
			Size = {
				Height = 60,
				Width = 300,
			},
			Bars = {
				Health = { -- Doesn't need options. Health Height is Height -2, Position is filling the frame aside from Power bars for the Health BG.
					Fill = "REVERSE",
				},
				Absorb = {
					Enabled = 1,
					Fill = "REVERSE", -- Use Health Fill if Enabled == 1
					Height = 8,
					Position = {
						Anchor = "BOTTOM",
						Order = 1, -- If 2 bars are at bottom, then order determines which comes first (closest to anchor)
					}, 
				},
				Class = { -- Class or Mana on Additional Mana units.
					Enabled = true,
					Fill = "REVERSE", 
					Height = 8,
					Position = {
						Anchor = "TOP",
					},
				},
				Power = { -- Primary Power or Class on Additional Mana units.
					Enabled = 1, -- 0 Hidden, 1 Show above 0, 2 Always Show
					Fill = "REVERSE",
					Height = 8,
					Position = {
						Anchor = "BOTTOM",
						Order = 0,
					},
				},
			},
			Text = {
				Health = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurHPPerc]",
					Enabled = true, -- Boolean
					Size = 28,
					Width = 150,
					Position = {
						x = 4,
						y = 4,
						AnchorFrame = "Frame",
						Anchor = "LEFT",
					},
				},
				Level = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Level]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = -4,
						y = -18,
						AnchorFrame = "Frame",
						Anchor = "RIGHT",
					},
				},
				Power = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurPowerPerc]",
					Enabled = true, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 4,
						y = -18,
						AnchorFrame = "Frame",
						Anchor = "LEFT",
					},
				},
				Name = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Name]",
					Enabled = true, -- Boolean
					Size = 21,
					Width = 100,
					Position = {
						x = -4,
						y = 4,
						AnchorFrame = "Frame",
						Anchor = "RIGHT",
					},
				},
				AFKDND = {
					Outline = "OUTLINE",
					Font = "RUF",
					Position = {
						y = 0,
						x = 0,
						Anchor = "LEFT",
						AnchorFrame = "Name",
						
					},
					Width = 100,
					Size = 21,
					Enabled = true,
					Tag = "[RUF:AFKDND]",
				},				
			},
			Icons = {
				PvP = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Mark = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Leader = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Looter = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Ready = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Resting = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
			},
		},
	}
	return UnitOptions
end

local function MediumRightUnits()
	local UnitOptions = {
		Enabled = true,
		Frame = {
			RangeFading = {
				Enabled = true,
				Alpha = 0.5,
			},
			Size = {
				Height = 30,
				Width = 300,
			},
			Bars = {
				Health = { -- Doesn't need options. Health Height is Height -2, Position is filling the frame aside from Power bars for the Health BG.
					Fill = "REVERSE",
				},
				Absorb = {
					Enabled = 1,
					Fill = "REVERSE", -- Use Health Fill if Enabled == 1
					Height = 8,
					Position = {
						Anchor = "BOTTOM",
						Order = 1, -- If 2 bars are at bottom, then order determines which comes first (closest to anchor)
					}, 
				},
				Class = { -- Class or Mana on Additional Mana units.
					Enabled = false,
					Fill = "REVERSE", 
					Height = 4,
					Position = {
						Anchor = "TOP",
					},
				},
				Power = { -- Primary Power or Class on Additional Mana units.
					Enabled = 1, -- 0 Hidden, 1 Show above 0, 2 Always Show
					Fill = "REVERSE",
					Height = 4,
					Position = {
						Anchor = "BOTTOM",
						Order = 0,
					},
				},
			},
			Text = {
				Health = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurHPPerc]",
					Enabled = true, -- Boolean
					Size = 21,
					Width = 150,
					Position = {
						x = 4,
						y = 1,
						AnchorFrame = "Frame",
						Anchor = "LEFT",
					},
				},
				Level = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Level]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 0,
						y = 0,
						AnchorFrame = "Frame",
						Anchor = "CENTER",
					},
				},
				Power = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurPowerPerc]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 0,
						y = 0,
						AnchorFrame = "Frame",
						Anchor = "CENTER",
					},
				},
				Name = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Name]",
					Enabled = true, -- Boolean
					Size = 21,
					Width = 100,
					Position = {
						x = -4,
						y = 1,
						AnchorFrame = "Frame",
						Anchor = "RIGHT",
					},
				},					
			},
			Icons = {
				PvP = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Mark = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Leader = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Looter = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Ready = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Resting = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
			},
		},
	}
	return UnitOptions
end

local function SmallUnits()
	local UnitOptions = {
		Enabled = true,
		Frame = {
			RangeFading = {
				Enabled = true,
				Alpha = 0.5,
			},
			Size = {
				Height = 30,
				Width = 125,
			},
			Bars = {
				Health = { -- Doesn't need options. Health Height is Height -2, Position is filling the frame aside from Power bars for the Health BG.
					Fill = "STANDARD",
				},
				Absorb = {
					Enabled = 1,
					Fill = "STANDARD", -- Use Health Fill if Enabled == 1
					Height = 8,
					Position = {
						Anchor = "BOTTOM",
						Order = 1, -- If 2 bars are at bottom, then order determines which comes first (closest to anchor)
					}, 
				},
				Class = { -- Class or Mana on Additional Mana units.
					Enabled = false,
					Fill = "STANDARD", 
					Height = 8,
					Position = {
						Anchor = "TOP",
					},
				},
				Power = { -- Primary Power or Class on Additional Mana units.
					Enabled = 1, -- 0 Hidden, 1 Show above 0, 2 Always Show
					Fill = "STANDARD",
					Height = 8,
					Position = {
						Anchor = "BOTTOM",
						Order = 0,
					},
				},
			},
			Text = {
				Health = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurHPPerc]",
					Enabled = false, -- Boolean
					Size = 21,
					Width = 100,
					Position = {
						x = 0,
						y = 1,
						AnchorFrame = "Frame",
						Anchor = "CENTER",
					},
				},
				Level = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Level]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 0,
						y = 1,
						AnchorFrame = "Frame",
						Anchor = "CENTER",
					},
				},
				Power = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:CurPowerPerc]",
					Enabled = false, -- Boolean
					Size = 18,
					Width = 100,
					Position = {
						x = 0,
						y = 1,
						AnchorFrame = "Frame",
						Anchor = "CENTER",
					},
				},
				Name = {
					Font = "RUF",
					Outline = "OUTLINE",
					Tag = "[RUF:Name]",
					Enabled = true, -- Boolean
					Size = 21,
					Width = 100,
					Position = {
						x = 0,
						y = 1,
						AnchorFrame = "Frame",
						Anchor = "CENTER",
					},
				},					
			},
			Icons = {
				PvP = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Mark = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Leader = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Looter = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Ready = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
				Resting = {
					Enabled = true,
					Size = 24,
					Position = {
						x,
						y,
						AnchorIcon, -- Icon to Anchor to, if none, anchor to frame
						AnchorTo,
						AnchorFrom,								
					},
				},
			},
		},
	}
	return UnitOptions
end

do
	cfg.profile.unit.player = LargeLeftUnits()
	cfg.profile.unit.focus = LargeLeftUnits()	
	cfg.profile.unit.boss = LargeLeftUnits()
	cfg.profile.unit.arena = LargeLeftUnits()	
	cfg.profile.unit.party = LargeLeftUnits()
	
	cfg.profile.unit.pet = MediumLeftUnits()

	cfg.profile.unit.target = LargeRightUnits()

	cfg.profile.unit.targettarget = MediumRightUnits()

	cfg.profile.unit.pettarget = SmallUnits()
	cfg.profile.unit.partytarget = SmallUnits()
	cfg.profile.unit.focustarget = SmallUnits()
	cfg.profile.unit.bosstarget = SmallUnits()
	cfg.profile.unit.arenatarget = SmallUnits()

	cfg.profile.unit.player.Frame.Position = {
		x = -390,
		y = -200,
		AnchorFrame = "UIParent", -- UIParent
		AnchorTo = "CENTER", -- The area we anchor to on the UIParent
		AnchorFrom = "CENTER", -- The area on the unitframe we anchor from
	}

	cfg.profile.unit.focus.Frame.Position = {
		x = 4,
		y = 160,
		AnchorFrame = 'UIParent',
		AnchorTo = 'LEFT',
		AnchorFrom = 'LEFT',	
	}

	cfg.profile.unit.boss.Frame.Position = {
		x = 0,
		y = -4,
		offsetx = 0,
		offsety = -4,
		growth = "BOTTOM",
		AnchorFrame = 'oUF_RUF_Focus',
		AnchorTo = "BOTTOMLEFT",
		AnchorFrom = 'TOPLEFT',
	}

	cfg.profile.unit.arena.Frame.Position = {
		x = 0,
		y = -4,
		offsetx = 0,
		offsety = -4,
		growth = "BOTTOM",
		AnchorFrame = 'oUF_RUF_Focus',
		AnchorTo = "BOTTOMLEFT",
		AnchorFrom = 'TOPLEFT',
	}

	cfg.profile.unit.pet.Frame.Position = {
		x = 0,
		y = -4,
		AnchorFrame = 'oUF_RUF_Player',
		AnchorTo = "BOTTOM",
		AnchorFrom = 'TOP',
	}
	
	cfg.profile.unit.party.Frame.Position = {
		x = 4,
		y = 4,
		offsetx = 0,
		offsety = 4,
		growth = "BOTTOM",
		AnchorFrame = 'UIParent',
		AnchorTo = "BOTTOMLEFT",
		AnchorFrom = 'BOTTOMLEFT',
	}

	cfg.profile.unit.pettarget.Frame.Position = {
		x = 4,
		y = 0,
		AnchorFrame = 'oUF_RUF_Pet',
		AnchorTo = "BOTTOMRIGHT",
		AnchorFrom = 'BOTTOMLEFT',
	}
	
	cfg.profile.unit.focustarget.Frame.Position = {
		x = 4,
		y = 0,
		AnchorFrame = 'oUF_RUF_Focus',
		AnchorTo = "BOTTOMRIGHT",
		AnchorFrom = 'BOTTOMLEFT',
	}

	cfg.profile.unit.bosstarget.Frame.Position = {
		x = 4,
		y = 0,
		AnchorFrame = 'oUF_RUF_Boss1',
		AnchorTo = "BOTTOMRIGHT",
		AnchorFrom = 'BOTTOMLEFT',
	}
	
	cfg.profile.unit.arenatarget.Frame.Position = {
		x = 4,
		y = 0,
		AnchorFrame = 'oUF_RUF_Arena1',
		AnchorTo = "BOTTOMRIGHT",
		AnchorFrom = 'BOTTOMLEFT',
	}
	
	cfg.profile.unit.partytarget.Frame.Position = {
		x = 4,
		y = 0,
		AnchorFrame = 'oUF_RUF_Party',
		AnchorTo = "BOTTOMRIGHT",
		AnchorFrom = 'BOTTOMLEFT',
	}

	cfg.profile.unit.target.Frame.Position = {
		x = 390,
		y = -200,
		AnchorFrame = 'UIParent',
		AnchorTo = "CENTER",
		AnchorFrom = 'CENTER',
	}

	cfg.profile.unit.targettarget.Frame.Position = {
		x = 0,
		y = -4,
		AnchorFrame = 'oUF_RUF_Target',
		AnchorTo = "BOTTOM",
		AnchorFrom = 'TOP',
	}
end
	
RUF.Layout.cfg = cfg


local Alidie = {
	["Appearance"] = {
		["Text"] = {
			["HPPerc"] = {
				["Color"] = {
					["PercentageGradient"] = {
						[3] = 0.215686274509804,
						[6] = 1,
						[7] = 1,
						[9] = 1,
					},
					["PercentageAtMax"] = false,
				},
			},
			["CurManaPerc"] = {
				["HideWhenPrimaryIsMana"] = true,
			},
			["CurMana"] = {
				["HideWhenPrimaryIsMana"] = true,
			},
			["Name"] = {
				["Color"] = {
					["Level"] = true,
				},
				["CharLimit"] = 14,
			},
			["CurHPPerc"] = {
				["Color"] = {
					["PercentageGradient"] = {
						[3] = 0.215686274509804,
						[6] = 1,
						[7] = 1,
						[9] = 1,
					},
					["PercentageAtMax"] = false,
				},
			},
			["ManaPerc"] = {
				["HideWhenPrimaryIsMana"] = true,
			},
			["CurHP"] = {
				["Color"] = {
					["PercentageGradient"] = {
						[3] = 0.215686274509804,
						[6] = 1,
						[7] = 1,
						[9] = 1,
					},
					["PercentageAtMax"] = false,
				},
			},
		},
		["Colors"] = {
			["ClassColors"] = {
				["DEATHKNIGHT"] = {
					0.811764705882353, -- [1]
					0.215686274509804, -- [2]
					0.301960784313726, -- [3]
				},
				["WARRIOR"] = {
					0.733333333333333, -- [1]
					0.498039215686275, -- [2]
					0.294117647058824, -- [3]
				},
				["SHAMAN"] = {
					nil, -- [1]
					0.419607843137255, -- [2]
					0.764705882352941, -- [3]
				},
				["MAGE"] = {
					0.215686274509804, -- [1]
					0.772549019607843, -- [2]
				},
				["PRIEST"] = {
					nil, -- [1]
					0.925490196078432, -- [2]
					0.827450980392157, -- [3]
				},
				["PALADIN"] = {
					nil, -- [1]
					0.388235294117647, -- [2]
					0.71764705882353, -- [3]
				},
				["WARLOCK"] = {
					0.588235294117647, -- [1]
					0.466666666666667, -- [2]
					0.898039215686275, -- [3]
				},
				["DEMONHUNTER"] = {
					0.811764705882353, -- [1]
				},
				["ROGUE"] = {
					[2] = 0.847058823529412,
				},
				["DRUID"] = {
					nil, -- [1]
					0.513725490196078, -- [2]
					0.196078431372549, -- [3]
				},
				["MONK"] = {
					nil, -- [1]
					0.662745098039216, -- [2]
					0.541176470588235, -- [3]
				},
				["HUNTER"] = {
					0.631372549019608, -- [1]
					0.729411764705882, -- [2]
					0.286274509803922, -- [3]
				},
			},
		},
		["Bars"] = {
			["Health"] = {
				["Color"] = {
					["Reaction"] = true,
					["Class"] = true,
				},
			},
		},
	},
	["unit"] = {
		["boss"] = {
			["Frame"] = {
				["Text"] = {
					["Health"] = {
						["Size"] = 36,
						["Tag"] = "[RUF:HPPerc]",
					},
					["Power"] = {
						["Position"] = {
							["Anchor"] = "BOTTOM",
							["y"] = 3,
						},
						["Size"] = 16,
						["Tag"] = "[RUF:PowerPerc]",
					},
					["Health Current"] = {
						["Outline"] = "OUTLINE",
						["Font"] = "RUF",
						["Position"] = {
							["y"] = 0,
							["x"] = 0,
							["Anchor"] = "RIGHT",
							["AnchorFrame"] = "Name",
						},
						["Tag"] = "[RUF:CurHP]",
						["Enabled"] = false,
						["Size"] = 21,
						["Width"] = 100,
					},
					["AFKDND"] = {
						["Enabled"] = false,
					},
				},
				["Size"] = {
					["Height"] = 45,
					["Width"] = 200,
				},
			},
		},
		["target"] = {
			["Frame"] = {
				["Bars"] = {
					["Power"] = {
						["Height"] = 6,
					},
				},
				["Position"] = {
					["y"] = -100,
					["x"] = 300,
					["AnchorFrom"] = "LEFT",
				},
				["Text"] = {
					["Health"] = {
						["Position"] = {
							["y"] = 2,
						},
						["Tag"] = "[RUF:CurHP]",
					},
					["Power"] = {
						["Enabled"] = false,
					},
					["Health Percent"] = {
						["Outline"] = "OUTLINE",
						["Font"] = "RUF",
						["Position"] = {
							["y"] = 0,
							["x"] = 0,
							["Anchor"] = "LEFT",
							["AnchorFrame"] = "Name",
						},
						["Width"] = 100,
						["Size"] = 21,
						["Enabled"] = true,
						["Tag"] = "[RUF:HPPerc]",
					},
					["Name"] = {
						["Position"] = {
							["y"] = 2,
						},
					},
					["AFKDND"] = {
						["Enabled"] = false,
					},
				},
				["Size"] = {
					["Height"] = 45,
					["Width"] = 200,
				},
			},
		},
		["pet"] = {
			["Frame"] = {
				["Position"] = {
					["AnchorTo"] = "BOTTOMRIGHT",
					["AnchorFrom"] = "TOPRIGHT",
				},
				["Text"] = {
					["Health"] = {
						["Tag"] = "[RUF:HPPerc]",
					},
				},
				["Size"] = {
					["Width"] = 200,
				},
			},
		},
		["player"] = {
			["Frame"] = {
				["Bars"] = {
					["Class"] = {
						["Height"] = 6,
					},
					["Power"] = {
						["Height"] = 6,
					},
				},
				["Position"] = {
					["y"] = -100,
					["x"] = -300,
					["AnchorFrom"] = "RIGHT",
				},
				["Text"] = {
					["Power"] = {
						["Position"] = {
							["y"] = 3,
							["x"] = 4,
							["Anchor"] = "BOTTOMLEFT",
						},
						["Tag"] = "[RUF:PowerPerc]",
					},
					["Health"] = {
						["Position"] = {
							["y"] = 0,
						},
						["Tag"] = "[RUF:CurHP]",
					},
					["Health Percent"] = {
						["Outline"] = "OUTLINE",
						["Font"] = "RUF",
						["Position"] = {
							["y"] = 0,
							["x"] = 0,
							["Anchor"] = "CENTER",
							["AnchorFrame"] = "Frame",
						},
						["Width"] = 100,
						["Size"] = 36,
						["Enabled"] = true,
						["Tag"] = "[RUF:HPPerc]",
					},
					["Name"] = {
						["Position"] = {
							["y"] = 22,
							["x"] = 0,
							["Anchor"] = "TOP",
						},
						["Enabled"] = false,
					},
					["Class"] = {
						["Position"] = {
							["Anchor"] = "TOPLEFT",
							["y"] = -3,
						},
						["Enabled"] = true,
						["Tag"] = "[RUF:PowerPerc]",
					},
					["Level"] = {
						["Position"] = {
							["y"] = 0,
							["x"] = 44,
						},
						["Enabled"] = true,
						["Size"] = 16,
					},
					["AFKDND"] = {
						["Enabled"] = false,
					},
				},
				["Size"] = {
					["Height"] = 45,
					["Width"] = 200,
				},
			},
		},
		["arena"] = {
			["Frame"] = {
				["Text"] = {
					["Health"] = {
						["Position"] = {
							["Anchor"] = "TOPRIGHT",
							["y"] = -2,
						},
						["Size"] = 36,
						["Tag"] = "[RUF:HPPerc]",
					},
					["Power"] = {
						["Position"] = {
							["y"] = 3,
							["x"] = 0,
							["Anchor"] = "BOTTOM",
						},
						["Size"] = 16,
						["Tag"] = "[RUF:PowerPerc]",
					},
					["Name"] = {
						["Position"] = {
							["Anchor"] = "TOPLEFT",
							["y"] = -2,
						},
					},
					["Level"] = {
						["Position"] = {
							["Anchor"] = "BOTTOMLEFT",
							["y"] = 3,
						},
						["Enabled"] = true,
						["Size"] = 16,
					},
				},
				["Size"] = {
					["Height"] = 45,
					["Width"] = 200,
				},
			},
		},
		["party"] = {
			["Frame"] = {
				["Bars"] = {
					["Power"] = {
						["Height"] = 6,
					},
				},
				["Position"] = {
					["y"] = 88,
					["x"] = 135,
					["offsety"] = -4,
					["AnchorTo"] = "BOTTOM",
					["growth"] = "TOP",
				},
				["Text"] = {
					["Health"] = {
						["Tag"] = "[RUF:CurHP]",
					},
					["Health Percent"] = {
						["Outline"] = "OUTLINE",
						["Font"] = "RUF",
						["Position"] = {
							["y"] = -2,
							["x"] = 0,
							["Anchor"] = "TOP",
							["AnchorFrame"] = "Frame",
						},
						["Width"] = 100,
						["Size"] = 28,
						["Enabled"] = true,
						["Tag"] = "[RUF:HPPerc]",
					},
					["Power"] = {
						["Position"] = {
							["y"] = 3,
							["x"] = 0,
							["Anchor"] = "BOTTOM",
						},
						["Size"] = 16,
					},
					["Level"] = {
						["Position"] = {
							["Anchor"] = "BOTTOMLEFT",
							["y"] = 3,
						},
						["Enabled"] = true,
						["Size"] = 14,
					},
					["Name"] = {
						["Position"] = {
							["y"] = 6,
						},
					},
					["AFKDND"] = {
						["Enabled"] = false,
					},
				},
				["Size"] = {
					["Height"] = 45,
					["Width"] = 250,
				},
			},
		},
		["focus"] = {
			["Frame"] = {
				["Bars"] = {
					["Power"] = {
						["Height"] = 6,
					},
				},
				["Text"] = {
					["Health"] = {
						["Tag"] = "[RUF:CurHP]",
					},
					["Health Percent"] = {
						["Outline"] = "OUTLINE",
						["Font"] = "RUF",
						["Position"] = {
							["y"] = 0,
							["x"] = 0,
							["Anchor"] = "RIGHT",
							["AnchorFrame"] = "Name",
						},
						["Width"] = 100,
						["Size"] = 21,
						["Enabled"] = true,
						["Tag"] = "[RUF:HPPerc]",
					},
					["Power"] = {
						["Position"] = {
							["y"] = 3,
							["x"] = 0,
							["Anchor"] = "BOTTOM",
						},
						["Size"] = 16,
					},
					["Level"] = {
						["Position"] = {
							["Anchor"] = "BOTTOMLEFT",
							["y"] = 3,
						},
						["Enabled"] = true,
						["Size"] = 16,
					},
					["Name"] = {
						["Position"] = {
							["y"] = 6,
						},
					},
					["AFKDND"] = {
						["Enabled"] = false,
					},
				},
				["Size"] = {
					["Height"] = 45,
					["Width"] = 200,
				},
			},
		},
		["targettarget"] = {
			["Frame"] = {
				["Position"] = {
					["AnchorTo"] = "BOTTOMLEFT",
					["AnchorFrom"] = "TOPLEFT",
				},
				["Text"] = {
					["Health"] = {
						["Tag"] = "[RUF:HPPerc]",
					},
				},
				["Size"] = {
					["Width"] = 200,
				},
			},
		},
		["focustarget"] = {
			["Frame"] = {
				["Bars"] = {
					["Power"] = {
						["Height"] = 4,
					},
				},
				["Position"] = {
					["y"] = 4,
					["x"] = 0,
					["AnchorTo"] = "TOPLEFT",
				},
				["Text"] = {
					["Health"] = {
						["Position"] = {
							["Anchor"] = "RIGHT",
							["x"] = -4,
						},
						["Enabled"] = true,
						["Tag"] = "[RUF:HPPerc]",
					},
					["Name"] = {
						["Position"] = {
							["Anchor"] = "LEFT",
							["x"] = 4,
						},
					},
				},
				["Size"] = {
					["Width"] = 200,
				},
			},
		},
		["pettarget"] = {
			["Enabled"] = false,
			["Frame"] = {
				["Bars"] = {
					["Power"] = {
						["Height"] = 4,
					},
				},
			},
		},
	},
}
RUF.Layout.Alidie = Alidie

local Raeli = {
	["Appearance"] = {
		["Text"] = {
			["CurHPPerc"] = {
				["Color"] = {
					["Class"] = true,
					["Reaction"] = true,
					["PercentageAtMax"] = false,
				},
			},
			["Level"] = {
				["HideSameLevel"] = false,
			},
			["AFKDND"] = {
				["Color"] = {
					["BaseColor"] = {
						0.749019607843137, -- [1]
						0.749019607843137, -- [2]
						0.749019607843137, -- [3]
					},
				},
			},
		},
		["Colors"] = {
			["ClassColors"] = {
				["DEATHKNIGHT"] = {
					0.811764705882353, -- [1]
					0.215686274509804, -- [2]
					0.301960784313726, -- [3]
				},
				["WARRIOR"] = {
					0.733333333333333, -- [1]
					0.498039215686275, -- [2]
					0.294117647058824, -- [3]
				},
				["SHAMAN"] = {
					nil, -- [1]
					0.419607843137255, -- [2]
					0.764705882352941, -- [3]
				},
				["MAGE"] = {
					0.215686274509804, -- [1]
					0.772549019607843, -- [2]
				},
				["PRIEST"] = {
					nil, -- [1]
					0.925490196078432, -- [2]
					0.827450980392157, -- [3]
				},
				["PALADIN"] = {
					nil, -- [1]
					0.388235294117647, -- [2]
					0.71764705882353, -- [3]
				},
				["WARLOCK"] = {
					0.588235294117647, -- [1]
					0.466666666666667, -- [2]
					0.898039215686275, -- [3]
				},
				["DEMONHUNTER"] = {
					0.811764705882353, -- [1]
				},
				["ROGUE"] = {
					nil, -- [1]
					0.847058823529412, -- [2]
				},
				["DRUID"] = {
					nil, -- [1]
					0.513725490196078, -- [2]
					0.196078431372549, -- [3]
				},
				["MONK"] = {
					nil, -- [1]
					0.662745098039216, -- [2]
					0.541176470588235, -- [3]
				},
				["HUNTER"] = {
					0.631372549019608, -- [1]
					0.729411764705882, -- [2]
					0.286274509803922, -- [3]
				},
			},
		},
		["Bars"] = {
			["Health"] = {
				["Color"] = {
					["PercentageGradient"] = {
						nil, -- [1]
						0, -- [2]
						0.12156862745098, -- [3]
					},
				},
			},
		},
	},
	["unit"] = {
		["boss"] = {
			["Frame"] = {
				["Position"] = {
					["AnchorFrame"] = "oUF_RUF_FocusTarget",
				},
				["Bars"] = {
					["Power"] = {
						["Height"] = 6,
					},
				},
				["Text"] = {
					["Health"] = {
						["Position"] = {
							["y"] = 6,
						},
					},
					["Power"] = {
						["Position"] = {
							["Anchor"] = "BOTTOMRIGHT",
							["y"] = 4,
						},
						["Size"] = 16,
					},
					["Level"] = {
						["Enabled"] = true,
						["Position"] = {
							["Anchor"] = "BOTTOMLEFT",
							["y"] = 4,
						},
						["Size"] = 16,
					},
					["Name"] = {
						["Position"] = {
							["y"] = 6,
						},
					},
					["AFKDND"] = "",
				},
				["Size"] = {
					["Height"] = 45,
				},
			},
		},
		["target"] = {
			["Frame"] = {
				["Text"] = {
					["Level"] = {
						["Enabled"] = true,
						["Position"] = {
							["Anchor"] = "BOTTOMRIGHT",
							["y"] = 2,
						},
					},
					["Power"] = {
						["Position"] = {
							["Anchor"] = "BOTTOMLEFT",
							["y"] = 2,
						},
					},
					["AFKDND"] = {
						["Position"] = {
							["y"] = 1,
							["x"] = 2,
						},
					},
				},
				["Position"] = {
					["y"] = -269,
					["x"] = 224,
					["AnchorFrom"] = "LEFT",
				},
			},
		},
		["pet"] = {
			["Frame"] = {
				["Position"] = {
					["AnchorFrom"] = "TOPLEFT",
					["AnchorTo"] = "BOTTOMLEFT",
				},
				["Bars"] = {
					["Power"] = {
						["Position"] = {
							["Anchor"] = "TOP",
						},
					},
				},
				["Text"] = {
					["Health"] = {
						["Enabled"] = false,
					},
					["Name"] = {
						["Position"] = {
							["y"] = -1,
							["x"] = 0,
							["Anchor"] = "CENTER",
						},
					},
				},
				["Size"] = {
					["Width"] = 148,
				},
			},
		},
		["player"] = {
			["Frame"] = {
				["Text"] = {
					["AFKDND"] = {
						["Position"] = {
							["y"] = 1,
							["x"] = -2,
						},
					},
				},
				["Position"] = {
					["y"] = -269,
					["x"] = -224,
					["AnchorFrom"] = "RIGHT",
				},
			},
		},
		["arena"] = {
			["Frame"] = {
				["Position"] = {
					["AnchorFrame"] = "oUF_RUF_FocusTarget",
				},
				["Bars"] = {
					["Power"] = {
						["Height"] = 6,
					},
				},
				["Text"] = {
					["Health"] = {
						["Position"] = {
							["y"] = 6,
						},
					},
					["Power"] = {
						["Position"] = {
							["Anchor"] = "BOTTOMRIGHT",
							["y"] = 4,
						},
						["Size"] = 16,
					},
					["Level"] = {
						["Enabled"] = true,
						["Position"] = {
							["Anchor"] = "BOTTOMLEFT",
							["y"] = 4,
						},
						["Size"] = 16,
					},
					["Name"] = {
						["Position"] = {
							["y"] = 6,
						},
					},
					["AFKDND"] = "",
				},
				["Size"] = {
					["Height"] = 45,
				},
			},
		},
		["party"] = {
			["Frame"] = {
				["Position"] = {
					["y"] = 207,
					["x"] = -4,
					["AnchorFrom"] = "BOTTOMRIGHT",
					["AnchorTo"] = "BOTTOMRIGHT",
				},
				["Bars"] = {
					["Absorb"] = {
						["Fill"] = "REVERSE",
					},
					["Health"] = {
						["Fill"] = "REVERSE",
					},
					["Power"] = {
						["Enabled"] = 2,
						["Height"] = 6,
						["Fill"] = "REVERSE",
					},
				},
				["Text"] = {
					["Health"] = {
						["Position"] = {
							["y"] = -2,
							["x"] = 4,
							["Anchor"] = "TOPLEFT",
						},
					},
					["Power"] = {
						["Position"] = {
							["Anchor"] = "BOTTOMRIGHT",
							["y"] = 2,
						},
						["Size"] = 16,
					},
					["Level"] = {
						["Enabled"] = true,
						["Position"] = {
							["Anchor"] = "BOTTOMLEFT",
							["y"] = 2,
						},
						["Size"] = 16,
					},
					["Name"] = {
						["Position"] = {
							["y"] = -4,
							["x"] = -4,
							["Anchor"] = "TOPRIGHT",
						},
					},
					["AFKDND"] = {
						["Position"] = {
							["Anchor"] = "LEFT",
							["x"] = 2,
						},
					},
				},
				["Size"] = {
					["Height"] = 45,
				},
			},
		},
		["focus"] = {
			["Frame"] = {
				["Text"] = {
					["Level"] = {
						["Enabled"] = true,
						["Position"] = {
							["Anchor"] = "BOTTOMLEFT",
							["y"] = 2,
						},
					},
					["Power"] = {
						["Position"] = {
							["Anchor"] = "BOTTOMRIGHT",
							["y"] = 2,
						},
					},
					["AFKDND"] = {
						["Position"] = {
							["x"] = -2,
						},
					},
				},
			},
		},
		["targettarget"] = {
			["Frame"] = {
				["Bars"] = {
					["Power"] = {
						["Position"] = {
							["Anchor"] = "TOP",
						},
					},
				},
				["Text"] = {
					["Health"] = {
						["Position"] = {
							["y"] = -1,
						},
					},
					["Name"] = {
						["Position"] = {
							["y"] = -1,
						},
					},
				},
			},
		},
		["focustarget"] = {
			["Frame"] = {
				["Position"] = {
					["y"] = -4,
					["x"] = 0,
					["AnchorFrom"] = "TOPLEFT",
					["AnchorTo"] = "BOTTOMLEFT",
				},
				["Bars"] = {
					["Power"] = {
						["Height"] = 4,
						["Position"] = {
							["Anchor"] = "TOP",
						},
					},
				},
				["Text"] = {
					["Health"] = {
						["Enabled"] = true,
						["Position"] = {
							["y"] = -1,
							["x"] = -4,
							["Anchor"] = "RIGHT",
						},
					},
					["Name"] = {
						["Position"] = {
							["y"] = -1,
							["x"] = 4,
							["Anchor"] = "LEFT",
						},
					},
				},
				["Size"] = {
					["Width"] = 300,
				},
			},
		},
		["pettarget"] = {
			["Frame"] = {
				["Bars"] = {
					["Absorb"] = {
						["Fill"] = "REVERSE",
					},
					["Health"] = {
						["Fill"] = "REVERSE",
					},
					["Power"] = {
						["Height"] = 4,
						["Position"] = {
							["Anchor"] = "TOP",
						},
						["Fill"] = "REVERSE",
					},
				},
				["Text"] = {
					["Health"] = {
						["Position"] = {
							["y"] = -1,
						},
					},
					["Name"] = {
						["Position"] = {
							["y"] = -1,
						},
					},
				},
				["Size"] = {
					["Width"] = 148,
				},
			},
		},
	},
}
RUF.Layout.Raeli = Raeli
